---
title: ICS Postman Collection
slug: ps/help/en_us/ics/com/api/ics-postman-collection
docTags: 
createdAt: 2026-08-02T14:28:52.063Z
---

The document provides detailed instructions on configuring and using the Postman REST API with Ivanti software, covering installation, environment setup, authentication, and making API calls.

- **Installing Postman app**: Users should download and install the Postman app for their operating system from the Postman website, then create an account and log in.
- **Importing environment and collections**: After installation, users import the latest Environment variable set and API collection files into Postman via the Import option, which creates folders in Collections and Environments tabs. Code snippets for various languages can be accessed through the Codeicon.
- **Authentication and API calls**: To authenticate, users manually create a sign-in request in Postman by updating variables like username and password, sending the request to receive a one-time api\_key, then saving it in the environment file. Authenticated API calls, such as retrieving active sessions, can be made by sending requests to specified endpoints, with successful responses returning status code 200.

## Configuring the Postman REST API

Ivanti supports the online app version and the standalone Windows, macOS, and Linux versions of the Postman REST API.

### Installing the Standalone Postman App

To install the Postman app:

1. Go to the [Postman website](https://www.postman.com/downloads/) and download the app for your OS.
2. Install the app. After installation, the login window appears.
3. In the login window, create an account and log in.

::Image[]{src="https://api.archbee.com/api/optimize/wxZG1KsS4xNkVZYoiu_o9/JILgBZMHQDWOSjyY0Wv9E_loginpost.png" position="flex-start" size="41" width="413" height="602" initialPath="../images/loginpost.png" githubPath="HTML5/images/loginpost.png" darkWidth="413" darkHeight="602" showCaption="false"}

### Adding the Environment and Collection

To Import the Environment variable set and API collection:

1. From [software download](https://hub.ivanti.com/s/product-downloads) page download the latest version of the Environment variable set and API collection files.
2. From the main window of the Postman application, click **Import**.

::Image[]{src="https://api.archbee.com/api/optimize/wxZG1KsS4xNkVZYoiu_o9/A3HrQvqijF7NCI5yqYA38_import.png" position="flex-start" size="47" width="465" height="285" initialPath="../images/import.png" githubPath="HTML5/images/import.png" darkWidth="465" darkHeight="285" showCaption="false"}

3. In the import window that appears, select the files or drag the files to the selection area.(`.postman_collection` and `postman_environment.json`)

:::Paragraph{indent="1"}
After the files are imported, a new folder with the name used within the Postman collection file and Environment file (e.g., **ICS API Doc** and **ICS env**) are displayed within **Collections** and **Environments** tabs respectively.
:::

4. Click the **Environment** tab on the left-side navigation, and then click imported environment file. You must change the variables (username and password) to authenticate and use the ICS server.

::Image[]{src="https://api.archbee.com/api/optimize/wxZG1KsS4xNkVZYoiu_o9/O-2DuDCdzSyHYqSiHeSFY_enviroments858x335.png" position="flex-start" size="80" width="858" height="335" initialPath="../images/enviroments_858x335.png" githubPath="HTML5/images/enviroments_858x335.png" darkWidth="858" darkHeight="335" showCaption="false"}

5. To get the variable auto populated select the **Environment** on the right-side top corner.

::Image[]{src="https://api.archbee.com/api/optimize/wxZG1KsS4xNkVZYoiu_o9/GaAvsf_RbP93agZoDJbQo_icsenv419x286.png" position="flex-start" size="42" width="419" height="286" initialPath="../images/icsenv_419x286.png" githubPath="HTML5/images/icsenv_419x286.png" darkWidth="419" darkHeight="286" showCaption="false"}

6. To access specific coding language scripts, click the **Code** icon in the toolbar. Select the desired language from the drop-down menu.

::Image[]{src="https://api.archbee.com/api/optimize/wxZG1KsS4xNkVZYoiu_o9/YznuTZswtE8s_MOlO5rie_curl319x436.png" position="flex-start" size="32" width="319" height="436" initialPath="../images/curl_319x436.png" githubPath="HTML5/images/curl_319x436.png" darkWidth="319" darkHeight="436" showCaption="false"}

### Authenticating a Session in Postman

Before you make an API call in Postman, you must authenticate a session. Currently, the API to sign in must be created manually.

To create a sign-in request:

1. Open the workspace that has imported collection and environment files, on left-side navigation, click **Collections**.
2. Click the **ICS API Doc** collection, and then click **Login copy** folder.
3. Click on the **api/v1/realm\_auth Global Var**.

::Image[]{src="https://api.archbee.com/api/optimize/wxZG1KsS4xNkVZYoiu_o9/YcPeOF3_weFGK-w5wRhqt_gobal.png" position="flex-start" size="80" width="808" height="432" initialPath="../images/gobal.png" githubPath="HTML5/images/gobal.png" darkWidth="808" darkHeight="432" showCaption="false"}

4. Click **Send** to get one-time **api\_key** and copy the same.

:::Paragraph{indent="1"}
If your API key sent properly, a successful response returns status code 200, along with your authorization token.
:::

5. Click the **Environment** tab on the left-side navigation, and then click imported environment file.

::Image[]{src="https://api.archbee.com/api/optimize/wxZG1KsS4xNkVZYoiu_o9/DiFRVTechZwpGuD8f8q62_apikey.png" position="flex-start" size="80" width="837" height="375" initialPath="../images/apikey.png" githubPath="HTML5/images/apikey.png" darkWidth="837" darkHeight="375" showCaption="false"}

6. Replace the one-time **api\_key** variable that you copied from the **api/v1/realm\_auth Global Var**. and **save** the environment file.

### Making an API Call in Postman

Try making an API call using Postman. In the following example, get the active sessions for a specific ICS by sending a GET request to the endpoint.

1. Ensure that you can authenticate and log in successfully using the POST request to` https://{{pcs_ip}}/api/v1/realm_auth`.
2. Click the **ICS API Doc > Session Management > Getting Active Sessions**.
3. All the parameters are added and authenticated in environment files.
4. Click **Send** and you can get all the active sessions.

::Image[]{src="https://api.archbee.com/api/optimize/wxZG1KsS4xNkVZYoiu_o9/DKrefrQrSMyXzM1T5Aa6v_get.png" position="flex-start" size="80" width="837" height="375" initialPath="../images/get.png" githubPath="HTML5/images/get.png" darkWidth="837" darkHeight="375" showCaption="false" indent="1"}

:::Paragraph{indent="1"}
A successful response returns status code 200.
:::
